Subject: Re: bug#29821: Ensure quick substitution only occurs at start of line

From: Noam Postavsky <[email-masked]>
Date: Wed, 03 Jan 2018 22:10:56 -0500

Jay Kamat <[email-masked]> writes:

> Noam Postavsky <[email-masked]> writes:
>> Oh, yes, I was confused by your docstring.  By "if no match found" you
>> meant when the line doesn't match ^foo^bar^ at all; I had somehow got
>> the impression you meant that there was no match for "foo".
>
> Ah, yes, I'll try to make the docstring a bit more clear!

Thanks, looks good now.

> Here's a patch which tries to fix those issues.

I almost regret to prolong this, but I found another mismatch with bash.
It seems the quick substitution does not need to take up the entire
line:

    ~/tmp$ echo foo bar
    foo bar
    ~/tmp$ ^foo^blah^ etc
    echo blah bar etc
    blah bar etc

Whereas, with your patch:

    ~/src/emacs $ echo foo bar
    ("foo" "bar")
    ~/src/emacs $ ^foo^blah^ etc
    ^foo^blah^: command not found